.netBUTTON Generator
Return to Introduction
Please view the overview or version history.


Overview

Overview of .netBUTTON
button
.netBUTTON provides real-time dynamic button generation with results that look so attractive it is difficult to believe they were not individually hand crafted in Photoshop. Now you can create seamless interface and internationalized buttons between desktop and web environments with matching visuals.

Product Features:
· Dynamically scale button size (width and height) to fit button text regardless of font, size and style.
· Buttons can be fixed size, sized automatically to the font, font sized to button, support min / max widths.
· Automatically generates buttons on demand if they don't exist or references previously generated images if they do
· Simple drop in replacement for default buttons enables you to rapidly update your buttons to the advanced visuals of .netBUTTON.
· Advanced webforms control handling renders automatic downlevel support. No Javascript enabled on the client? No problem, .netBUTTON will output CSS and maintain full functionality. No CSS, no problem, the default state will show and the button will still operate.
· ideal for language conversions and flexible site and application design.
· Create buttons from database information or dynamic data
· Save on costly and time consuming image design and development
· Supports ASP.NET validation controls
· Create consistent user interfaces by have the same button look and feel across winforms and webforms
· States automatically generated (and can be enabled / disabled) for default state, disabled stated, hovered state, clicked / active state.
· Native drawing operations ensure a clean and polished button regardless of size. Scales cleanly.
· Set text font, size and style along with color, background color and more.
· See more features here.

Learn more about .netBUTTON and play with a live demo at our web site.


Features
Web Specific Features:
· automated state management
· CSS failover
· support for browsers without JavaScript or Javascript disabled
· Support for browsers that don't support CSS

Sizing Specific Features:
· Size button to text
· Size text to button
· Fixed button
· Minimum width, auto height
· Minimum height, auto width

Text Features:
· Control font size, text, color and style
· Buttons can automatically size to contain the selected text

Predefined Button Styles:
· Advanced button styles including: Blank, LineGradient, GradientInnerOutline, MultigradientWave, MultigradientWaveUp, MultiGradient3Colors, GradientSplit, GradientSplitBorder, GradientSplitHighlight, GradientSplitCenterHighlight, GradientSplitBorderHighLight, GradientSplitCenterGlow, GradientSplitGlow, GradientBevelTextOffset, GradientBevel, Bevel, Glass3d, Smooth3dHighlight, HighlightTopFade, MirroredText, Chrome, Brushed Metal, GlassCube, BevelRounded, Plastic, and GradientBevelTextOffsetGlow.

Button Shapes for all Styles:
· Appearance is as much influenced by shape as style
· Supports Rectangle, rounded rectangle (with variable rounding percentages)
· Ellipse (circle / oval support)

Unique State Visuals:
· Dynamically generated states for normal, hovered / mouseover, clicked / pushed and disabled. Buttons are created automatically for the checked states which can be controlled.
· Automatic Javascript and CSS code output for handling state image display with no coding required.

Color Support:
· Set button color with dynamic color selection to maintain the effect
· Independent font color support
· Background color support (or transparent which is maintained with PNG image output)


Version History
.netBUTTON 3.0 (June, 2007)
· asp.net 2.0 support (required)
· winforms supported
· GDI+ based drawing effects
· 20+ button styles all natively drawn scale cleanly to any size
· advanced auto size support
· button shape support

.netBUTTON 2.0 (2003)
· designtime support added
· web matrix support added
· asp.net 1.1 supported

.netBUTTON 1.0 Initial Release (2002)
· Initial release
· asp.net 1.0 supported


Installation
System Requirements provides information on the minimum requirements for running .netBUTTON.
Instructions provides information on how to install .netBUTTON


System Requirements
.netBUTTON is designed for both web (asp.net) and desktop (winforms) environments and is a fully managed solution.

Supported Operating Systems:
· Windows 2000
· Windows XP
· Windows Server 2003

Additional Requirements:
· ASP.NET 2.0 or later (for the webforms control)
· .NET Framework 2.0 or later (for the winforms control)


Instructions
.netBUTTON can be deployed quickly and easily without any special installation or registration requirements. It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET - as soon as you copy your files to your web server you can start using .netBUTTON!

.netBUTTON is also supported in desktop (winforms) environments.

ASP.NET Usage:

Procedure:
· Unzip distribution
· Copy / FTP web files to a directory of your choice within your web servers root directory
· Ensure that dotnetbutton.dll is located in the /bin directory and that the /bin directory is in the root (top level) of your web site or, if not, that you have created an application for the subdirectory which contains your /bin directory.
· You may now use the .netBUTTON samples through http://localhost for development or the domain you are licensed for in production.
· Write permissions are required on the /images directory for the button images to be created.

Using a Virtual Directory:
· Unzip distribution
· Place files in any directory you wish
· Using the IIS administration (MMC), create a virtual directory under your web site pointing to the /web directory that contains the .netBUTTON samples.
· You may now use the .netBUTTON samples through http://localhost for development or the domain you are licensed for in production.
· Write permissions are required on the /images directory for the button images to be created.

NOTE: .netBUTTON generates buttons dynamically, as a result, it will not be able to create button images if the file permissions do not allow ASP.NET to write to the /images directory. For this reason .netBUTTON requires that the "ASPNET" user have write permissions on the directory you wish to create the dynamic button images in. If you are using Windows Server 2003 the default user is "Network Service" rather than "ASPNET"

Using Visual Studio.NET:
· Create an ASP.NET Web Application project.(if you do not already have one)
· From Tools , select Customize Toolbox.
· Select the .NET Framework Components tab from Customize Toolbox Windows.
· Click on Browse and select dotnetButton.dll and Click on OK.
· Now from your Toolbox you can select ButtonGenerator in your Web Form.
· Set the DesignerImagePath to view the button as it will appear at run time.


Developer Documentation
This topic includes a complete reference included with .netBUTTON as well as some examples.


Reference
Detailed guide to .netBUTTON properties.


Properties
Size: Width and Height of the button in pixels.
MaximimSize: Determines the maximum Width and Height of the button in pixels. Regardless of SizeType the button will not be rendered larger than this size.
MinimumSize: Determines the minimum Width and Height of the button in pixels. Regardless of SizeType the button will not be rendered smaller than this size.
SizeType: Determines the sizing type. Options include Normal (uses provided size), ButtonToText (sizes the button to fit the provided text size), TextToButton (sizes the text to fit the provided button size).

Enabled: Determines if the button is enabled or not. When disabled the button may not be clicked and is rendered as a greyscale version.
EnabledStates: Determines if any or all of the supported states are enabled. Options include: Normal, Hovered, Pushed, Disabled.

StyleSettings: Controls the visual appearance of the button.
StyleType: Determines the style type from a set of predefined button styles. In addition to StyleType, ShapeType also has a large impact on the final button rendering. Options for StyleType include: Blank, LineGradient, GradientInnerOutline, MultigradientWave, MultigradientWaveUp, MultiGradient3Colors, GradientSplit, GradientSplitBorder, GradientSplitHighlight, GradientSplitCenterHighlight, GradientSplitBorderHighLight, GradientSplitCenterGlow, GradientSplitGlow, GradientBevelTextOffset, GradientBevel, Bevel, Glass3d, Smooth3dHighlight, HighlightTopFade, MirroredText, Chrome, Brushed Metal, GlassCube, BevelRounded, Plastic, GradientBevelTextOffsetGlow.
ShapeType: Determines the button shape. Options include Rectangle, RoundedRectangle and Ellipse. The ellipse shape will render either an oval or circular button depending on if the width and height are the same or not.
RoundingPercentage: Determines how much the corners are rounded for the RoundedRectangle shape.
Color: The buttons color.
Font: Sets the font object including properties for font name, size, bold etc.
FontColor: Sets the fonts color.

Text: Determines the button text. NOTE: The trial version will always display text with a strikethrough (example). The licensed version will display normally.


Examples
.netBUTTON includes controls for webforms (asp.net) and winforms (desktop) usage and samples are specific to each control.


Winforms
The .netBUTTON bundle comes with a number of samples illustrating the various features and visual styles of the control. Samples are both provided as a sample exe you can directly run and interact with as well as folders which include the Visual Studio 2005 projects for those same samples.

StyleSample: Demonstrates the different visual styles supported by .netBUTTON along with rectangle, 75% rounded rectangle, 50% rounded rectangle, 25% rounded rectangle and ellipse shapes. It also allows you to control which states are active and modify the default color for all buttons.

SizeSample: Demonstrates the dynamic sizing functionality of .netBUTTON. By selecting between the radio buttons you can observe the button behavior for normal, TextToButton, and ButtonToText sizing. In addition you can modify the button string value, font and font size, button shape and rounding percentage.

PropertiesSample: This sample shows a single button and enables you to set the properties and observe the result.

Calculator: Shows usage of the button control in a simple calculator application. You can change the button style using the provided menu option.


Webforms
The .netBUTTON bundle comes with a number of samples illustrating the various features and visual styles of the control. Even if you are only using the webforms control we encourage you to view the winforms samples as well just to get a feel for the capabilities and styles of the .netBUTTON control. The functionality between winforms and webforms is identical although the provided samples differ. The webforms system automatically handles Javascript and CSS with downlevel support so regardless of the client / browser they will see the richest functionality possible.

StyleSample: A version of the winforms style sample showing the various buttons and styles. Having hundreds of buttons on a single aspx page is not typical and some browser may take some time to render this sample.

SimpleUsage: Shows a more typically usage case.

DynamicButtons: Shows dynamic button generation with input as button text, font, size, shape and style.


Support
Before contacting support be sure to read the frequent questions listings and review the support policy.


Frequent Questions
Can .netBUTTON be used in a traditional ASP script?
No, it requires ASP.NET or Winforms (.NET 2.0 or later), for more information please see the system requirements.

Can .netBUTTON create a button style for me?
Please contact info@dotnetbutton.com for more information and be sure to include specific details on your button requirements as well as a sample image or any other design data you have.

Why does .netBUTTON show corrupted text?
The trial version will always display text with a strike through (example). The licensed version will display normally.

Can buttons generated with the free developer version be used?
Such buttons may be used for development purposes only to test and familiarize yourself with the product. If you wish to use a .netBUTTON generated image or part of such an image in a project or site you must first purchase a .netBUTTON license.


Support Policy
30 days of priority email support is provided with purchase. Please be sure to include your orderid with any messages to support to ensure priority attention during this period.

Support is offered for evaluations / presales on an as available basis.

Priority support contracts are available for purchase.


Contacting Support
You can contact support by emailing info@dotnetbutton.com

Please be sure to include the following information:
· Your orderid provided when you purchased .netBUTTON
· A detailed description of your problem
· An exact error message if applicable
· Specifics of your server / usage environment


Licensing Information
This chapter includes information on pricing as well as the license agreement.


Pricing & Purchase
.netBUTTON is Licensed per developer:

Single Developer $195: Usage for a single developer. Enables usage in any sites / projects created by the licensed developer. Each developer who uses the control must have their own license. Single developer licenses allow for usage of both the winforms and webforms controls.

Four (4) Developer Pack $495: Usage by up to 4 developers. 4 developer licenses allow for usage of both the winforms and webforms controls.

Distribution License $995: Developer licenses enable usage in projects undertaken by the licensed developer. If the licensed developer wishes to resell their work as a packaged solution and include .netBUTTON with that solution a distribution license is required. This enables distribution of the control as part of a solution licensed to 3rd parties. Some limitations apply, please contact sales to arrange for this license type.

All licenses include both winforms and webforms version of the control. Upgrades are included free for 90 days.

NOTE: The trial version will always display text with a strike through (example). The licensed version will display normally.


License Agreement
This license agreement is a legal agreement between you and Corporate Web Solutions Ltd. for .netBUTTON. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use by the number of developers you have purchased licenses for. Licensed usage is allowed for any sites / projects created by the licensed developer excluding packaged and resold products. Each developer who uses the control must have their own license. Developer licenses enable usage in projects undertaken by the licensed developer only. If the licensed developer wishes to resell their work as a packaged solution and include .netBUTTON with that solution a distribution license is required. Distribution licenses enable distribution of the control as part of a solution licensed to 3rd parties and are covered by a separate license agreement.

Limitations: You may not reverse engineer, decompile, or disassemble .netBUTTON. You may not rent or lease this software/key, you may not transfer your rights under this license agreement. A license may not be used by any developer other than that specified at the time of purchase. .netBUTTON is designed to be used in web sites (asp.net) and desktop applications (winforms) for dynamic button creation. .netBUTTON may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party without a separate distribution license. A single .netBUTTON license may not be used by multiple developers, each developer requires their own license.

Ownership: Corporate Web Solutions Ltd. retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netBUTTON, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.


.topic 10
Please view the overview or version history.

.topic 208540

.netBUTTON provides real-time dynamic button generation with results that look so attractive it is difficult to believe they were not individually hand crafted in Photoshop.  Now you can create seamless interface and internationalized buttons between desktop and web environments with matching visuals.

Product Features:
Dynamically scale button size (width and height) to fit button text regardless of font, size and style.
Buttons can be fixed size, sized automatically to the font, font sized to button, support min / max widths.
Automatically generates buttons on demand if they don't exist or references previously generated images if they do
Simple drop in replacement for default buttons enables you to rapidly update your buttons to the advanced visuals of .netBUTTON.
Advanced webforms control handling renders automatic downlevel support.  No Javascript enabled on the client?  No problem, .netBUTTON will output CSS and maintain full functionality.  No CSS, no problem, the default state will show and the button will still operate.
ideal for language conversions and flexible site and application design.
Create buttons from database information or dynamic data
Save on costly and time consuming image design and development
Supports ASP.NET validation controls
Create consistent user interfaces by have the same button look and feel across winforms and webforms
States automatically generated (and can be enabled / disabled) for default state, disabled stated, hovered state, clicked / active state.
Native drawing operations ensure a clean and polished button regardless of size.  Scales cleanly.
Set text font, size and style along with color, background color and more.
See more features here.

Learn more about .netBUTTON and play with a live demo at our web site.

.topic 208810
Web Specific Features:
automated state management
CSS failover
support for browsers without JavaScript or Javascript disabled
Support for browsers that don't support CSS

Sizing Specific Features:
Size button to text
Size text to button
Fixed button
Minimum width, auto height
Minimum height, auto width

Text Features:
Control font size, text, color and style
Buttons can automatically size to contain the selected text

Predefined Button Styles:
Advanced button styles including: Blank, LineGradient, GradientInnerOutline, MultigradientWave, MultigradientWaveUp, MultiGradient3Colors, GradientSplit, GradientSplitBorder, GradientSplitHighlight, GradientSplitCenterHighlight, GradientSplitBorderHighLight, GradientSplitCenterGlow, GradientSplitGlow, GradientBevelTextOffset, GradientBevel, Bevel, Glass3d, Smooth3dHighlight, HighlightTopFade, MirroredText, Chrome, Brushed Metal, GlassCube, BevelRounded, Plastic, and GradientBevelTextOffsetGlow.

Button Shapes for all Styles:
Appearance is as much influenced by shape as style
Supports Rectangle, rounded rectangle (with variable rounding percentages)
Ellipse (circle / oval support)

Unique State Visuals:
Dynamically generated states for normal, hovered / mouseover, clicked / pushed and disabled.  Buttons are created automatically for the checked states which can be controlled.
Automatic Javascript and CSS code output for handling state image display with no coding required.

Color Support:
Set button color with dynamic color selection to maintain the effect
Independent font color support
Background color support (or transparent which is maintained with PNG image output)

.topic 208780
.netBUTTON 3.0 (June, 2007)
asp.net 2.0 support (required)
winforms supported
GDI+ based drawing effects
20+ button styles all natively drawn scale cleanly to any size
advanced auto size support
button shape support

.netBUTTON 2.0 (2003)
designtime support added
web matrix support added
asp.net 1.1 supported

.netBUTTON 1.0 Initial Release (2002)
Initial release
asp.net 1.0 supported

.topic 208550
System Requirements provides information on the minimum requirements for running .netBUTTON.
Instructions provides information on how to install .netBUTTON

.topic 208560
.netBUTTON is designed for both web (asp.net) and desktop (winforms) environments and is a fully managed solution.

Supported Operating Systems:
Windows 2000
Windows XP
Windows Server 2003

Additional Requirements:
ASP.NET 2.0 or later (for the webforms control)
.NET Framework 2.0 or later (for the winforms control)

.topic 208570
.netBUTTON can be deployed quickly and easily without any special installation or registration requirements.  It will work with a dedicated server, shared server, hosted server etc. so long as the server supports ASP.NET - as soon as you copy your files to your web server you can start using .netBUTTON!

.netBUTTON is also supported in desktop (winforms) environments.

ASP.NET Usage:

Procedure:
Unzip distribution
Copy / FTP web files to a directory of your choice within your web servers root directory
Ensure that dotnetbutton.dll is located in the /bin directory and that the /bin directory is in the root (top level) of your web site or, if not, that you have created an application for the subdirectory which contains your /bin directory.
You may now use the .netBUTTON samples through http://localhost for development or the domain you are licensed for in production.
Write permissions are required on the /images directory for the button images to be created.

Using a Virtual Directory:
Unzip distribution
Place files in any directory you wish
Using the IIS administration (MMC), create a virtual directory under your web site pointing to the /web directory that contains the .netBUTTON samples.
You may now use the .netBUTTON samples through http://localhost for development or the domain you are licensed for in production.
Write permissions are required on the /images directory for the button images to be created.

NOTE: .netBUTTON generates buttons dynamically, as a result, it will not be able to create button images if the file permissions do not allow ASP.NET to write to the /images directory.  For this reason .netBUTTON requires that the "ASPNET" user have write permissions on the directory you wish to create the dynamic button images in.  If you are using Windows Server 2003 the default user is "Network Service" rather than "ASPNET"

Using Visual Studio.NET:
Create an ASP.NET Web Application project.(if you do not already have one)
From Tools , select Customize Toolbox.
Select the .NET Framework Components tab from Customize Toolbox Windows.
Click on Browse and select dotnetButton.dll and Click on OK.
Now from your Toolbox you can select ButtonGenerator in your Web Form.
Set the DesignerImagePath to view the button as it will appear at run time.

.topic 208580
This topic includes a complete reference included with .netBUTTON as well as some examples.

.topic 208590
Detailed guide to .netBUTTON properties.

.topic 208740
Size: Width and Height of the button in pixels.
MaximimSize: Determines the maximum Width and Height of the button in pixels.  Regardless of SizeType the button will not be rendered larger than this size.
MinimumSize: Determines the minimum Width and Height of the button in pixels.  Regardless of SizeType the button will not be rendered smaller than this size.
SizeType: Determines the sizing type. Options include Normal (uses provided size), ButtonToText (sizes the button to fit the provided text size), TextToButton (sizes the text to fit the provided button size).

Enabled: Determines if the button is enabled or not.  When disabled the button may not be clicked and is rendered as a greyscale version.
EnabledStates: Determines if any or all of the supported states are enabled.  Options include: Normal, Hovered, Pushed, Disabled.

StyleSettings: Controls the visual appearance of the button.
StyleType: Determines the style type from a set of predefined button styles.  In addition to StyleType, ShapeType also has a large impact on the final button rendering.  Options for StyleType include: Blank, LineGradient, GradientInnerOutline, MultigradientWave, MultigradientWaveUp, MultiGradient3Colors, GradientSplit, GradientSplitBorder, GradientSplitHighlight, GradientSplitCenterHighlight, GradientSplitBorderHighLight, GradientSplitCenterGlow, GradientSplitGlow, GradientBevelTextOffset, GradientBevel, Bevel, Glass3d, Smooth3dHighlight, HighlightTopFade, MirroredText, Chrome, Brushed Metal, GlassCube, BevelRounded, Plastic, GradientBevelTextOffsetGlow.
ShapeType: Determines the button shape.  Options include Rectangle, RoundedRectangle and Ellipse.  The ellipse shape will render either an oval or circular button depending on if the width and height are the same or not.
RoundingPercentage: Determines how much the corners are rounded for the RoundedRectangle shape.
Color: The buttons color.
Font: Sets the font object including properties for font name, size, bold etc.
FontColor: Sets the fonts color.

Text: Determines the button text. NOTE: The trial version will always display text with a strikethrough (example).  The licensed version will display normally.

.topic 208620
.netBUTTON includes controls for webforms (asp.net) and winforms (desktop) usage and samples are specific to each control.

.topic 208790
The .netBUTTON bundle comes with a number of samples illustrating the various features and visual styles of the control.  Samples are both provided as a sample exe you can directly run and interact with as well as folders which include the Visual Studio 2005 projects for those same samples.

StyleSample: Demonstrates the different visual styles supported by .netBUTTON along with rectangle, 75% rounded rectangle, 50% rounded rectangle, 25% rounded rectangle and ellipse shapes.  It also allows you to control which states are active and modify the default color for all buttons.

SizeSample: Demonstrates the dynamic sizing functionality of .netBUTTON.  By selecting between the radio buttons you can observe the button behavior for normal, TextToButton, and ButtonToText sizing.  In addition you can modify the button string value, font and font size, button shape and rounding percentage.

PropertiesSample: This sample shows a single button and enables you to set the properties and observe the result.

Calculator: Shows usage of the button control in a simple calculator application.  You can change the button style using the provided menu option.

.topic 208800
The .netBUTTON bundle comes with a number of samples illustrating the various features and visual styles of the control.  Even if you are only using the webforms control we encourage you to view the winforms samples as well just to get a feel for the capabilities and styles of the .netBUTTON control.  The functionality between winforms and webforms is identical although the provided samples differ.  The webforms system automatically handles Javascript and CSS with downlevel support so regardless of the client / browser they will see the richest functionality possible.

StyleSample: A version of the winforms style sample showing the various buttons and styles.  Having hundreds of buttons on a single aspx page is not typical and some browser may take some time to render this sample.

SimpleUsage: Shows a more typically usage case.

DynamicButtons: Shows dynamic button generation with input as button text, font, size, shape and style.

.topic 208630
Before contacting support be sure to read the frequent questions listings and review the support policy.

.topic 208640
Can .netBUTTON be used in a traditional ASP script?
No, it requires ASP.NET or Winforms (.NET 2.0 or later), for more information please see the system requirements.

Can .netBUTTON create a button style for me?
Please contact info@dotnetbutton.com for more information and be sure to include specific details on your button requirements as well as a sample image or any other design data you have.

Why does .netBUTTON show corrupted text?
The trial version will always display text with a strike through (example).  The licensed version will display normally.

Can buttons generated with the free developer version be used?
Such buttons may be used for development purposes only to test and familiarize yourself with the product.  If you wish to use a .netBUTTON generated image or part of such an image in a project or site you must first purchase a .netBUTTON license.

.topic 208650
30 days of priority email support is provided with purchase.  Please be sure to include your orderid with any messages to support to ensure priority attention during this period.

Support is offered for evaluations / presales on an as available basis.

Priority support contracts are available for purchase.

.topic 208660
You can contact support by emailing info@dotnetbutton.com

Please be sure to include the following information:
Your orderid provided when you purchased .netBUTTON
A detailed description of your problem
An exact error message if applicable
Specifics of your server / usage environment

.topic 208670
This chapter includes information on pricing as well as the license agreement.

.topic 208700
.netBUTTON is Licensed per developer:

Single Developer $195: Usage for a single developer.  Enables usage in any sites / projects created by the licensed developer.  Each developer who uses the control must have their own license.  Single developer licenses allow for usage of both the winforms and webforms controls.

Four (4) Developer Pack $495: Usage by up to 4 developers. 4 developer licenses allow for usage of both the winforms and webforms controls.

Distribution License $995: Developer licenses enable usage in projects undertaken by the licensed developer.  If the licensed developer wishes to resell their work as a packaged solution and include .netBUTTON with that solution a distribution license is required.  This enables distribution of the control as part of a solution licensed to 3rd parties.  Some limitations apply, please contact sales to arrange for this license type.

All licenses include both winforms and webforms version of the control.  Upgrades are included free for 90 days.

NOTE: The trial version will always display text with a strike through (example).  The licensed version will display normally.

.topic 208680
This license agreement is a legal agreement between you and Corporate Web Solutions Ltd. for .netBUTTON. By using this product/key you agree to be bound by the terms of this agreement.

This software/key is protected by national and international copyright laws. This software/key is licensed, not sold.

Granted Rights: This license grants you the right to install this software/key for use by the number of developers you have purchased licenses for. Licensed usage is allowed for any sites / projects created by the licensed developer excluding packaged and resold products.  Each developer who uses the control must have their own license.  Developer licenses enable usage in projects undertaken by the licensed developer only.  If the licensed developer wishes to resell their work as a packaged solution and include .netBUTTON with that solution a distribution license is required.  Distribution licenses enable distribution of the control as part of a solution licensed to 3rd parties and are covered by a separate license agreement.

Limitations: You may not reverse engineer, decompile, or disassemble .netBUTTON.  You may not rent or lease this software/key, you may not transfer your rights under this license agreement.  A license may not be used by any developer other than that specified at the time of purchase.  .netBUTTON is designed to be used in web sites (asp.net) and desktop applications (winforms) for dynamic button creation.  .netBUTTON may not be integrated with or incorporated into any software product or script sold or offered to any 3rd party without a separate distribution license.  A single .netBUTTON license may not be used by multiple developers, each developer requires their own license.

Ownership: Corporate Web Solutions Ltd. retains ownership of the software/key.

Liability: In no event shall Corporate Web Solutions be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of information or any other pecuniary loss) arising out of the use of inability to use this software/key, even if Corporate Web Solutions has been advised of the possibility of such damages.

Termination: Without prejudice to any other rights, Corporate Web Solutions may terminate this license agreement if you fail to comply with the terms and conditions of this agreement. In such event, you must destroy all copies of .netBUTTON, any derivative work, and all of its component parts.

General: By installing this software/key you acknowledge that you have read this license agreement, understand it, and agree to be bound by its terms and conditions.